:root {
  --cpurple: #8C2CB8;
  --chpurple: #602080;
  --cyellow: #FFF200;
  --clogin: #3E1452;
  --chlogin: #5A1B6D;
}

body {
  margin: 0;
  font-family: 'Comic Sans', cursive;
  background-color: black;
  box-sizing: border-box;
}

.image {
  background-image: url("../img/polus.png");
  filter: blur(10px);
  height: 100vh;
  overflow: hidden;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  z-index: -1;
}

#main_content {
  position: absolute;
  top: 0%;
  left: 20%;
  width: 60vw;
  height: 100vh;
  display: block;
  overflow: hidden;
  margin-left: auto; margin-right: auto;
  background-color: rgb(110, 110, 255);
  box-shadow: 0 0 30px 15px rgb(50, 50, 50);
}

.content {
  height: 100vh;
  overflow: auto;
  padding: 1em;
  display: flex;
  flex-direction: column;
  z-index: 1;
}


input[type=text], input[type=password] {
  width: 100%;
  padding: 12px 20px;
  margin: 0.5em 0;
  display: block;
  border: 1px solid #ccc;
  border-radius: 0.5em;
  font-family: 'Comic Sans', cursive;
  font-size: 15px;
  min-width: 100px;
  min-height: 25px;
  box-sizing: border-box;
}

.login {
  width: 60%;
}

#subb {
  font-family: 'Comic Sans', cursive;
}

button {
  background-color: #8C2CB8;
  color: white;
  justify-items: center;
  font-size: 15px;
  width: 50%;
  min-width: fit-content;
  padding: 10px 18px;
  border: none;
  border-radius: 0.5em;
  cursor: pointer;
}

button:hover {
  filter: brightness(1.05);
}

form > div {
  display: flex;
  justify-content: center;
}


/* Scroll content styling */
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  text-align: justify;
  justify-content: space-between;
}

.column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
}

.double-column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
}

.content h2 {
  margin: 0 0 0.75em 0;
  padding: 0.75em;
  background-color: rgb(145, 145, 255);
  color: var(--cpurple);
}

.content footer {
  margin: 0.75em 0 0 0;
  padding: 0.75em;
  background-color: rgb(145, 145, 255);
  color: var(--cpurple);
}

.content .img {
  background-color: rgb(145, 145, 255, 0.375);
  width: 20%;
  margin: 0% 2.5% 0% 0%;
  padding: 2.5%;
}

.content .half {
  width: 40%;
  margin: 0 2.5%;
  align-self: center;
}



/* Media queries */
@media screen and (max-width: 600px) {
  .topnav a:not(:first-child), .dropdown .dropbtn {
    display: none;
  }
  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
  .topnav.responsive .dropdown {float: none;}
  .topnav.responsive .dropdown-content {position: relative;}
  .topnav.responsive .dropdown .dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
  #main_content {
    left: 7.5%;
    width: 80vw;
  }
}

@media screen and (max-width: 400px) {
    #main_content {
        left: 0;
        width: 100vw;
    }
}

@media screen and (max-width: 800px) {
  #main_content {
    left: 12.5%;
    width: 70vw;
  }
}

@media screen and (min-width: 1000px) {
  .column {
    flex: 1;
  }

  .double-column {
    flex: 2;
  }
}